Bug 1118006 - [RFE] forcing passwordmustchange attribute by non-cn=directory manager
Summary: [RFE] forcing passwordmustchange attribute by non-cn=directory manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 20:08 UTC by Noriko Hosoi
Modified: 2015-08-26 15:28 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:35:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Noriko Hosoi 2014-07-09 20:08:05 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/417

https://bugzilla.redhat.com/show_bug.cgi?id=843576 (''Red Hat Directory Server'')

{{{
RFE Request

0. Proposed title of this feature request
Feature Request: forcing passwordmustchange attribute by non-cn=directory
manager

2. What is the nature and description of the request?
Feature Request: forcing passwordmustchange attribute by non-cn=directory
manager

3. Why does the customer need this? (List the business requirements here)
In an enterprise environment it is increasingly important that several
sub-departments are able to perform different tasks in an LDAP database. A
typical enterprise would like to give their Operations/Servicedesk department
the ability to reset user passwords when users call the Servicedesk when they
forgot theirs, but no more rights than that.

In terms of providing the aci's to a specific user for the Servicedesk this is
doable, but the 'User must change password after reset' flag in the password
policy of Directory Server only applies to resets done by the Directory
Manager. This user is akin to the 'root'/super user in Directory Manager and
this user has far too many rights for a department like Operations/Servicedesk
to handle. It poses a security risk.

An enterprise would need more flexibility with this attribute, for example set
it that several extra users trigger this flag when resetting another user's
password, or to make it in such a way that any user except the user itself
which changes the password, triggers the flag that the user must change
password at next login.

4. How would the customer like to achieve this? (List the functional
requirements here)
Functionality for forcing passwordmustchange attribute for all users.

5. For each functional requirement listed in question 4, specify how Red Hat
and the customer can test to confirm the requirement is successfully
implemented.
- Create a user, which has rights to change password for a sub-ou.
- Use above user to change password of x user, Try to login with x user.

6. Is there already an existing RFE upstream or in Red Hat bugzilla?
No

7. How quickly does this need resolved? (desired target release)
No time-line

8. Does this request meet the RHEL Bug and Feature Inclusion Criteria (please
review)
Yes

9. List the affected packages
389-ds-base

10. Would the customer be able to assist in testing this functionality if
implemented?
Yes
}}}

Comment 7 Amita Sharma 2014-11-18 07:07:51 UTC
Test Plan Created :: https://tcms.engineering.redhat.com/plan/15695/password-policy#testcases
Basic functional testing is done successfully.
Marking this bug as VERIFIED.

Comment 9 errata-xmlrpc 2015-03-05 09:35:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.